- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CBaseMuxerFilter Class Reference

Inheritance diagram for CBaseMuxerFilter:

List of all members.

## Public Member Functions
| CBaseMuxerFilter (LPUNKNOWN pUnk, HRESULT *phr, const CLSID &clsid)
virtual | ~CBaseMuxerFilter ()
STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
void | AddInput ()
int | GetPinCount ()
CBasePin * | GetPin (int n)
STDMETHODIMP | Stop ()
STDMETHODIMP | Pause ()
STDMETHODIMP | Run (REFERENCE_TIME tStart)
STDMETHODIMP | GetCapabilities (DWORD *pCapabilities)
STDMETHODIMP | CheckCapabilities (DWORD *pCapabilities)
STDMETHODIMP | IsFormatSupported (const GUID *pFormat)
STDMETHODIMP | QueryPreferredFormat (GUID *pFormat)
STDMETHODIMP | GetTimeFormat (GUID *pFormat)
STDMETHODIMP | IsUsingTimeFormat (const GUID *pFormat)
STDMETHODIMP | SetTimeFormat (const GUID *pFormat)
STDMETHODIMP | GetDuration (LONGLONG *pDuration)
STDMETHODIMP | GetStopPosition (LONGLONG *pStop)
STDMETHODIMP | GetCurrentPosition (LONGLONG *pCurrent)
STDMETHODIMP | ConvertTimeFormat (LONGLONG *pTarget, const GUID *pTargetFormat, LONGLONG Source, const GUID *pSourceFormat)
STDMETHODIMP | SetPositions (LONGLONG *pCurrent, DWORD dwCurrentFlags, LONGLONG *pStop, DWORD dwStopFlags)
STDMETHODIMP | GetPositions (LONGLONG *pCurrent, LONGLONG *pStop)
STDMETHODIMP | GetAvailable (LONGLONG *pEarliest, LONGLONG *pLatest)
STDMETHODIMP | SetRate (double dRate)
STDMETHODIMP | GetRate (double *pdRate)
STDMETHODIMP | GetPreroll (LONGLONG *pllPreroll)
## Public Attributes
| DECLARE_IUNKNOWN
## Protected Member Functions
virtual void | MuxHeader (IBitStream *pBS)
virtual void | MuxPacket (IBitStream *pBS, const MuxerPacket *pPacket)
virtual void | MuxFooter (IBitStream *pBS)
virtual void | MuxHeader ()
virtual void | MuxPacket (const MuxerPacket *pPacket)
virtual void | MuxFooter ()
virtual HRESULT | CreateInput (CStringW name, CBaseMuxerInputPin **ppPin)
## Protected Attributes
CList< CBaseMuxerInputPin * > | m_pPins

## Detailed Description

Definition at line 28 of file BaseMuxer.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/muxer/basemuxer/BaseMuxer.h
- C:/guliverkli/src/filters/muxer/basemuxer/BaseMuxer.cpp